
QGIS Application - Bug report #21141

Basemap freezes when a delimited text file is added. 'zooming to layer' on delimited text file creates 

basemap to dissapear 

2019-01-31 12:01 PM - Bodhi Gorringe

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28959

Description

When I load my basemap, I can change its CRS easy. When I load a vector file (any CRS) It loads on my basemap even when I change

the CRS of the basemap. However, when I load a delimited text layer on my basemap (for my example the delimited text layer was of a

ED50 30 N CRS) to a basemap it doesnt show up (even if my basemap is in the same CRS as the delimited text file). I tried to change this

by exporting the file and saving its CRS as wgs 84 ESRI Shapefile (same as the basemap) when it re-loads (firslty it doesnt show on the

map) and when I click 'zoom to layer' my basemap locks in place and I have to shut the programme down to stop it. Additionaly if i 'Zoom

to layer' of the orginal shapefile before I tried to export it as a the CRS to match my basemap, it makes the basemap completely

disappear and my Scale will not change from '0:1'. is this a bug?

History

#1 - 2019-01-31 01:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

- Assignee deleted (Bodhi Gorringe)

- Resolution deleted (fixed/implemented)

- Easy fix? changed from Yes to No

- Regression? changed from Yes to No

- Crashes QGIS or corrupts data changed from Yes to No

- Pull Request or Patch supplied changed from Yes to No

- Operating System changed from Windows 10. to Windows 10

Try 3.4.4 and a new/clean profile.

If the problem persist please attach a sample project (with the necessary data).

#2 - 2019-02-24 09:27 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
